GNU bug report logs - #22793
grep -E assertion failure with back references

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: grep; Reported by: santiagorr@HIDDEN; merged with #32806; dated Wed, 24 Feb 2016 16:20:02 UTC; Maintainer for grep is bug-grep@HIDDEN.
Merged 22793 32806. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22793 <at> debbugs.gnu.org:


Received: (at 22793) by debbugs.gnu.org; 17 Jan 2017 21:37:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 16:37:23 2017
Received: from localhost ([127.0.0.1]:34118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cTbRT-0002ML-I2
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2017 16:37:23 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:34500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1cTbRP-0002M7-U5
 for 22793 <at> debbugs.gnu.org; Tue, 17 Jan 2017 16:37:21 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id EC82F16004E;
 Tue, 17 Jan 2017 13:37:13 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 7_uI76XX75fu; Tue, 17 Jan 2017 13:37:12 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9998016006A;
 Tue, 17 Jan 2017 13:37:12 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id PRhbkUdYSKeq; Tue, 17 Jan 2017 13:37:12 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 7E69C16004E;
 Tue, 17 Jan 2017 13:37:12 -0800 (PST)
To: 22793 <at> debbugs.gnu.org
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: grep -E assertion failure with back references
Organization: UCLA Computer Science Department
Message-ID: <d32bfad8-60e0-04c4-b246-ed7e0a393689@HIDDEN>
Date: Tue, 17 Jan 2017 13:37:12 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 22793
Cc: Paolo Bonzini <bonzini@HIDDEN>, arnold@HIDDEN, santiagorr@HIDDEN,
 Jim Meyering <jim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.2 (---)

> This is still a glibc bug, not a grep bug; it's just that we don't have a fix.

I finally got around to finding the correct glibc bug report for this
grep bug. Here it is:

https://sourceware.org/bugzilla/show_bug.cgi?id=11053

I added a comment to the glibc bug, saying that it causes grep Bug#22793
<https://bugs.gnu.org/22793>.

Paolo Bonzini reported the glibc bug in 2009 and is the current
assignee. I think he's pretty busy doing other things. It'd be nice if
someone could fix the glibc bug (or at least, fix it in Gnulib), though
I suspect that any fix will not be trivial.





Information forwarded to bug-grep@HIDDEN:
bug#22793; Package grep. Full text available.

Message received at 22793 <at> debbugs.gnu.org:


Received: (at 22793) by debbugs.gnu.org; 25 Feb 2016 08:02:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 03:02:03 2016
Received: from localhost ([127.0.0.1]:44728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYqs7-0007zo-JY
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2016 03:02:03 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33707)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>)
 id 1aYqs4-0007tl-P1; Thu, 25 Feb 2016 03:02:01 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2B861160D55;
 Thu, 25 Feb 2016 00:01:54 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id XJShuiUVWj62; Thu, 25 Feb 2016 00:01:52 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6FF07160FD5;
 Thu, 25 Feb 2016 00:01:52 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id n7ucaZGZzzdc; Thu, 25 Feb 2016 00:01:52 -0800 (PST)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 3C4C5160D55;
 Thu, 25 Feb 2016 00:01:52 -0800 (PST)
Subject: Re: bug#22793: grep -E assertion failure with back references
To: arnold@HIDDEN, santiagorr@HIDDEN, jim@HIDDEN
References: <20160224161854.GA20452@HIDDEN>
 <CA+8g5KGzJj-tbQwGOEVEoJLT=74D3TpPQE0bqPRToda3zxyVFA@HIDDEN>
 <56CE08AF.2080507@HIDDEN> <201602250612.u1P6CAYx022498@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <56CEB4F0.6070900@HIDDEN>
Date: Thu, 25 Feb 2016 00:01:52 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
In-Reply-To: <201602250612.u1P6CAYx022498@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22793
Cc: 22793 <at> debbugs.gnu.org, 186568@HIDDEN, 21513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

arnold@HIDDEN wrote:
> Paul Eggert <eggert@HIDDEN> wrote:
>
>> With recent 'grep' you can work around the problem by configuring
>> --with-included-regex.
>
> Not so. I did a fresh
>
> 	./boostrap
> 	./configure --with-included-regex
> 	make
>
> and it still core dumps:
>
> $ echo abc | ./src/grep -E  '(.*)(.*)(.*)\3\2\1'
> grep: regexec.c:1413: pop_fail_stack: Assertion `((Idx) (num) < ((Idx) -2))' failed.
> Aborted (core dumped)
>
> I looked at it in a debugger fs->num before the --fs->num executes looks to
> be -1.

Sorry, you're right. I got confused into thinking that grep Bug#22793 and grep 
Bug#21513 are the same bugs, but they're not. I have unmerged them.

This is still a glibc bug, not a grep bug; it's just that we don't have a fix.

grep Bug#21513 is indeed fixed by configuring --with-included-regex.




Information forwarded to bug-grep@HIDDEN:
bug#22793; Package grep. Full text available.
Disconnected #22793 from all other report(s). Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22793 <at> debbugs.gnu.org:


Received: (at 22793) by debbugs.gnu.org; 25 Feb 2016 06:12:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 01:12:42 2016
Received: from localhost ([127.0.0.1]:44592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYpAI-0000Nm-3a
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2016 01:12:42 -0500
Received: from freefriends.org ([96.88.95.60]:60549)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <arnold@HIDDEN>) id 1aYpAG-0000Ne-2P
 for 22793 <at> debbugs.gnu.org; Thu, 25 Feb 2016 01:12:40 -0500
X-Envelope-From: arnold@HIDDEN
Received: from freefriends.org (localhost [127.0.0.1])
 by freefriends.org (8.14.9/8.14.9) with ESMTP id u1P6CDII022523;
 Wed, 24 Feb 2016 23:12:13 -0700
Received: (from arnold@localhost)
 by freefriends.org (8.14.9/8.14.9/submit) id u1P6CAYx022498;
 Thu, 25 Feb 2016 06:12:10 GMT
From: arnold@HIDDEN
Message-Id: <201602250612.u1P6CAYx022498@HIDDEN>
X-Authentication-Warning: frenzy.freefriends.org: arnold set sender to
 arnold@HIDDEN using -f
Date: Wed, 24 Feb 2016 23:12:10 -0700
To: santiagorr@HIDDEN, jim@HIDDEN, eggert@HIDDEN
Subject: Re: bug#22793: grep -E assertion failure with back references
References: <20160224161854.GA20452@HIDDEN>
 <CA+8g5KGzJj-tbQwGOEVEoJLT=74D3TpPQE0bqPRToda3zxyVFA@HIDDEN>
 <56CE08AF.2080507@HIDDEN>
In-Reply-To: <56CE08AF.2080507@HIDDEN>
User-Agent: Heirloom mailx 12.4 7/29/08
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22793
Cc: 22793 <at> debbugs.gnu.org, 186568@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Paul Eggert <eggert@HIDDEN> wrote:

> With recent 'grep' you can work around the problem by configuring 
> --with-included-regex.

Not so. I did a fresh

	./boostrap
	./configure --with-included-regex
	make

and it still core dumps:

$ echo abc | ./src/grep -E  '(.*)(.*)(.*)\3\2\1'
grep: regexec.c:1413: pop_fail_stack: Assertion `((Idx) (num) < ((Idx) -2))' failed.
Aborted (core dumped)

I looked at it in a debugger fs->num before the --fs->num executes looks to
be -1.

Thanks,

Arnold




Information forwarded to bug-grep@HIDDEN:
bug#22793; Package grep. Full text available.

Message received at 22793 <at> debbugs.gnu.org:


Received: (at 22793) by debbugs.gnu.org; 24 Feb 2016 19:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 14:47:04 2016
Received: from localhost ([127.0.0.1]:44219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYfOq-0006j7-CC
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 14:47:04 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:60696)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aYfOo-0006dt-GI
 for 22793 <at> debbugs.gnu.org; Wed, 24 Feb 2016 14:47:02 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1FE34160FD2;
 Wed, 24 Feb 2016 11:46:57 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id JfghaGVVwGtk; Wed, 24 Feb 2016 11:46:56 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1B0B7160FD3;
 Wed, 24 Feb 2016 11:46:56 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id PXJHi72JYyak; Wed, 24 Feb 2016 11:46:56 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id F3A65160FD2;
 Wed, 24 Feb 2016 11:46:55 -0800 (PST)
Subject: Re: bug#22793: grep -E assertion failure with back references
To: Jim Meyering <jim@HIDDEN>, santiagorr@HIDDEN
References: <20160224161854.GA20452@HIDDEN>
 <CA+8g5KGzJj-tbQwGOEVEoJLT=74D3TpPQE0bqPRToda3zxyVFA@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <56CE08AF.2080507@HIDDEN>
Date: Wed, 24 Feb 2016 11:46:55 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <CA+8g5KGzJj-tbQwGOEVEoJLT=74D3TpPQE0bqPRToda3zxyVFA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22793
Cc: 22793 <at> debbugs.gnu.org, 186568@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

With recent 'grep' you can work around the problem by configuring 
--with-included-regex. That has some other undesirable properties, though.

This is really a glibc bug 
<https://sourceware.org/bugzilla/show_bug.cgi?id=18986> and the glibc 
patch could be applied to the Debian copy of glibc. Here's the patch:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=5513b40999149090987a0341c018d05d3eea1272

In other words, Debian bug #186568 is really a glibc bug, not a grep 
bug. Can you please fix the Debian bug report accordingly? I'll CC: this 
message there.




Information forwarded to bug-grep@HIDDEN:
bug#22793; Package grep. Full text available.
Forcibly Merged 21513 22793. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22793 <at> debbugs.gnu.org:


Received: (at 22793) by debbugs.gnu.org; 24 Feb 2016 18:57:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 13:57:05 2016
Received: from localhost ([127.0.0.1]:44186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYecT-0003mM-5H
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 13:57:05 -0500
Received: from mail-ob0-f174.google.com ([209.85.214.174]:34424)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <meyering@HIDDEN>) id 1aYecR-0003lt-Tf
 for 22793 <at> debbugs.gnu.org; Wed, 24 Feb 2016 13:57:04 -0500
Received: by mail-ob0-f174.google.com with SMTP id ts10so26926593obc.1
 for <22793 <at> debbugs.gnu.org>; Wed, 24 Feb 2016 10:57:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc:content-type;
 bh=lwRlOoU8tXTXwgje3OJGLwbaK+CiuH9BZOlUL2z9L/s=;
 b=PcVaM7EHe+H2bZTuwElYRAAEt2DXADXlH8meSkltZy5dU6L4o88gi+DSDDmcJjtAJP
 c7EXxRd5GJWiDVJhWMFz9KgAoA7I4TJqhphaO14+W6MWcbTjj7FAClpeNMx9kToy1QiH
 LLH7qdBld2Uij/NkNh3H9Fz4mjNisWVmNUai0hDk3fJMzAiD0d2GTtd/IIt7WETlqOlb
 l4t7vpTHjrELhkHB4a+n/t8BB8U+zziWrDHBF7L8usAz844fHSiwZSuhEGU4lPsWfcd4
 F/jrhYNQnzSKIN5LmpUWbdXGTCBJgUtKqytIEssHxja2fwv8eMHObBmJrHNTJfW5vhfN
 ZbPQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-type;
 bh=lwRlOoU8tXTXwgje3OJGLwbaK+CiuH9BZOlUL2z9L/s=;
 b=D9r+vrHaDFWUZWRZWK5tNOmBRg9Dyggn9TRs/piayVHR4NDtemA7mb3FzPqgpTpKXf
 HYUJQoRIQkQa4t5KvFPocmEc7G3KwMXTr37uzd5/s2k9E0ONRW9N4oTYqz/P4gxoCcjW
 x5DLC+q8jfNxeXyZyVm7TeV+hhd6iAEEvxxXHji4mai3W95cGgWBOej7Fsw3/6INY9Jw
 cHeLQlRI8d37kQRtjrPy7qIGVuekCLCnLkeIzrBLtnfhgORRtqGcd40+mfhkPKJ7fAJv
 t02jIett/q3ZAlyM6Q7lZrFKehC0TyTKqTYePkRX1tu7swDDR3BVLo1kJi055Kspnp/K
 +HBg==
X-Gm-Message-State: AG10YORd7szpsr+ATYuVyxadmj2a/3obbRThb2Zsisjn3XoKvcJnejFkVA302xOmwz/vn1vr4H9MK9/rgCX8Fw==
X-Received: by 10.60.142.170 with SMTP id rx10mr32774647oeb.37.1456340218227; 
 Wed, 24 Feb 2016 10:56:58 -0800 (PST)
MIME-Version: 1.0
Received: by 10.202.44.194 with HTTP; Wed, 24 Feb 2016 10:56:38 -0800 (PST)
In-Reply-To: <20160224161854.GA20452@HIDDEN>
References: <20160224161854.GA20452@HIDDEN>
From: Jim Meyering <jim@HIDDEN>
Date: Wed, 24 Feb 2016 10:56:38 -0800
X-Google-Sender-Auth: TcBSSab1LDbjXQVEf2SG4HYwSrA
Message-ID: <CA+8g5KGzJj-tbQwGOEVEoJLT=74D3TpPQE0bqPRToda3zxyVFA@HIDDEN>
Subject: Re: bug#22793: grep -E assertion failure with back references
To: santiagorr@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 22793
Cc: 22793 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

forcemerge 21513 22793
thanks

On Wed, Feb 24, 2016 at 8:18 AM,  <santiagorr@HIDDEN> wrote:
> Hi,
>
> This is a long standing bug reported to Debian, still present in 2.23.
> It was forwarded at some point, but I cannot find any reference, so I'm
> reforwarding it.
>
> % echo abc | LANG=C grep -E '(.*)(.*)(.*)\3\2\1'
> grep: regexec.c:1401: pop_fail_stack: Assertion `num >= 0' failed.
>
> More info at: https://bugs.debian.org/186568

Correct, this was reported some time ago,
both here and in the upstream glibc bugzilla:

  http://bugs.gnu.org/21513
  https://sourceware.org/bugzilla/show_bug.cgi?id=18986

There is currently an "XFAIL" (expected-to-fail) test in grep's
test suite that exercises precisely this bug:

  git.savannah.gnu.org/cgit/grep.git/tree/tests/triple-backref




Information forwarded to bug-grep@HIDDEN:
bug#22793; Package grep. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Feb 2016 16:19:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 11:19:17 2016
Received: from localhost ([127.0.0.1]:44009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYc9l-0006aZ-IC
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 11:19:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45837)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <santiagorr@HIDDEN>) id 1aYc9k-0006aL-8u
 for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 11:19:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <santiagorr@HIDDEN>) id 1aYc9Z-0001RI-PR
 for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 11:19:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID,
 UNPARSEABLE_RELAY autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43281)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <santiagorr@HIDDEN>) id 1aYc9Z-0001RC-M9
 for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 11:19:05 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36801)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <santiagorr@HIDDEN>) id 1aYc9Y-0007at-JS
 for bug-grep@HIDDEN; Wed, 24 Feb 2016 11:19:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <santiagorr@HIDDEN>) id 1aYc9U-0001Qo-Bl
 for bug-grep@HIDDEN; Wed, 24 Feb 2016 11:19:04 -0500
Received: from mx1.riseup.net ([198.252.153.129]:60709)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <santiagorr@HIDDEN>) id 1aYc9U-0001Qd-4v
 for bug-grep@HIDDEN; Wed, 24 Feb 2016 11:19:00 -0500
Received: from piha.riseup.net (unknown [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id F41981A1F4C
 for <bug-grep@HIDDEN>; Wed, 24 Feb 2016 16:18:58 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1456330739; bh=Hpia9r4PdeUJfR0cLzLcl0aobc1Vyj2saQITRgsMZOQ=;
 h=Date:From:To:Subject:From;
 b=lizfub9umbeslUpivn8Jg7N4anPcIncxbhB8ZN2CioyoYGVSn4MlEUpjlVVJIqa86
 grtX41ixc0+igsyfcTKsIcy1msdHg5V5kjrrRyhZSvHCFHNBC2rT5GQjyH7XJcgG/e
 hdBXKI9aG1+aNRXIhEGDS3nIwSUTRDBxFUeLhdnw=
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (Authenticated sender: santiagorr) with ESMTPSA id 5FB081C0090
Received: by nomada (sSMTP sendmail emulation); Wed, 24 Feb 2016 17:18:54 +0100
Date: Wed, 24 Feb 2016 17:18:54 +0100
From: santiagorr@HIDDEN
To: bug-grep@HIDDEN
Subject: grep -E assertion failure with back references
Message-ID: <20160224161854.GA20452@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Virus-Scanned: clamav-milter 0.98.7 at mx1.riseup.net
X-Virus-Status: Clean
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

Hi,

This is a long standing bug reported to Debian, still present in 2.23.
It was forwarded at some point, but I cannot find any reference, so I'm
reforwarding it.

% echo abc | LANG=C grep -E '(.*)(.*)(.*)\3\2\1'
grep: regexec.c:1401: pop_fail_stack: Assertion `num >= 0' failed.

More info at: https://bugs.debian.org/186568

Regards,

Santiago




Acknowledgement sent to santiagorr@HIDDEN:
New bug report received and forwarded. Copy sent to bug-grep@HIDDEN. Full text available.
Report forwarded to bug-grep@HIDDEN:
bug#22793; Package grep. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 22 Sep 2018 21:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.